/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Selected product catalog.
 */
@ApiModel(description = "Selected product catalog.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model212 {
  @SerializedName("code")
  private String code = null;

  @SerializedName("version")
  private String version = null;

  public Model212 code(String code) {
    this.code = code;
    return this;
  }

   /**
   * Catalog code.
   * @return code
  **/
  @ApiModelProperty(example = "PRTNCATALOG", required = true, value = "Catalog code.")
  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public Model212 version(String version) {
    this.version = version;
    return this;
  }

   /**
   * Catalog version.
   * @return version
  **/
  @ApiModelProperty(example = "2", required = true, value = "Catalog version.")
  public String getVersion() {
    return version;
  }

  public void setVersion(String version) {
    this.version = version;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model212 model212 = (Model212) o;
    return Objects.equals(this.code, model212.code) &&
        Objects.equals(this.version, model212.version);
  }

  @Override
  public int hashCode() {
    return Objects.hash(code, version);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model212 {\n");
    
    sb.append("    code: ").append(toIndentedString(code)).append("\n");
    sb.append("    version: ").append(toIndentedString(version)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

